<?php

namespace App\Interfaces;

interface IBranch extends IBase
{
   public function userBranch(int $user_id);

   public function addBranch(array $data);

   public function get_branch($branch_slug);

   public function update_branch(array $data, $branch_slug);

   public function disable_branch($branch_slug);

   public function enable_branch($branch_slug);

   public function active_branch($client_slug);

   public function get_branch_token($branch_slug);

   public function passwordChange($data);

   public function branchReport($client_slug, $branch_slug, $survey_id, $data);

   public function repondentReport($client_slug, $survey_id, $branch_slug, $data);

   public function adminSummary($client_slug, $survey_id, $data);

   public function adminReport($client_slug, $survey_id, $data);
}
