<?php

namespace App\Interfaces\Survey;

use App\Interfaces\IBase;


interface IResponseGroup extends IBase
{

    public function responseGroups();
    public function clientResponseGroups(string $client_slug, String $active = null);
    public function createClientResponseGroup(array $data, string $client_slug);
    public function updateClientResponseGroup(array $data, string $client_slug, int $group_id);
    public function disableClientResponseGroup(string $client_slug, int $group_id);
    public function enableClientResponseGroup(string $client_slug, int $group_id);
    public function clientResponseGroupOptions(string $client_slug, int $group_id);
    public function clientResponseOptions(string $client_slug, String $active = null);
    public function createClientResponseOptions(array $data, string $client_slug);
    public function updateClientResponseOption(array $data, string $client_slug, int $option_id);
    public function disableClientResponseOption(string $client_slug, $option_id);
    public function enableClientResponseOption(string $client_slug, $option_id);
    public function clientResponseOptionsWithIcons(string $client_slug);
    public function addClientResponseGroupOption(array $data, string $client_slug, int $group_id);
    public function updateClientResponseGroupOption(array $data, string $client_slug, int $group_id, int $option_id);
    public function deleteClientResponseGroupOption(string $client_slug, int $group_id, int $option_id);
}
