<?php

namespace App\Interfaces\Survey;

use App\Interfaces\IBase;

interface ISurvey extends IBase
{

    public function getSurveys();
    public function clientSurveys(string $client_slug);
    public function getSurvey(string $client_slug, Int $survey_id);
    public function createClientSurvey(array $data, string $client_slug);
    public function updateClientSurvey(array $data, string $client_slug, int $survey_id);
    public function enableClientSurvey(string $client_slug, int $survey_id);
    public function disableClientSurvey(string $client_slug, int $survey_id);
    public function getResponseType();
}
