<?php


namespace App\Traits;


use Illuminate\Support\Facades\DB;

trait AuthorizeTrait
{

    protected  function isUserAuthorized($user, string $permission, string $action)
    {
        $permission = DB::table("privileges")->where("name", $permission)->first();
        if ($permission == null) {
            throw new \Exception("privileges does not exist");
        }
        if ($permission->active_flag == 0) {
            throw new \Exception("privileges not active");
        }

        return DB::table("roles_privileges")
            ->where(["role_id" => $user->role_id, "privilege_id" => $permission->id, $action => 1])->exists();
    }
}
