<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\DB;

class SlugMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $company_slug = $request->segment(3);

       
        $check_slug = DB::table('clients')->where('client_slug', $company_slug)->first();
       
        if(is_null($check_slug)){
            return response()->json([
                'message'=> 'unauthorised',
                'status'=> 0,
                'status_code'=> 401 
            ], 401);
        }

        $request->company = $check_slug;
        return $next($request);
    }
}
