<?php

namespace App\Interfaces\Survey;

use App\Interfaces\IBase;

interface IQuestion extends IBase
{
    public function surveyQuestions(string $client_slug, int $survey_id);   
    public function createSurveyQuestion(array $data, string $client_slug, int $survey_id);
    public function updateSurveyQuestion(array $data, string $client_slug, int $survey_id, int $question_id);
    public function disableSurveyQuestion(string $client_slug, int $survey_id, int $question_id);
    public function enableSurveyQuestion(string $client_slug, int $survey_id, int $question_id);
    public function deleteSurveyQuestion(string $client_slug, int $survey_id, int $question_id);

}